KDE 4.9 PyKDE API Reference

- KDE's Python API

# KAssistantDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KPageDialog → KDialog → QDialog → QWidget → QObject

## Detailed Description

This class provides a framework for assistant dialogs.

The use of this class is the same as KWizard in KDE3. You should use the word "assistant" instead of "wizard" both in the source and translatable strings.

An assistant dialog consists of a sequence of pages. Its purpose is to guide the user (assist) through a process step by step. Assistant dialogs are useful for complex or infrequently occurring tasks that people may find difficult to learn or do. Sometimes a task requires too many input fields to fit them on a single dialog.

KAssistantDialog provides page titles and displays Next, Back, Finish, Cancel, and Help push buttons, as appropriate to the current position in the page sequence. The Finish Button has the code KDialog.User1, The Next button is KDialog.User2 and the Back button is KDialog.User3. The help button may be hidden using showButton(KDialog.Help, false)

Create and populate dialog pages that inherit from QWidget and add them to the assistant dialog using addPage().

The functions next() and back() are virtual and may be reimplemented to override the default actions of the next and back buttons.

"KDE Assistant Dialog"

Author:
  Olivier Goffart <ogoffart at kde.org>

## Methods

| __init__ (self, QWidget parent=0, Qt::WFlags flags=0)
| __init__ (self, KPageWidget widget, QWidget parent=0, Qt::WFlags flags=0)
| __init__ (self, KAssistantDialog a0)
| back (self)
bool | isAppropriate (self, KPageWidgetItem page)
bool | isValid (self, KPageWidgetItem page)
| next (self)
| setAppropriate (self, KPageWidgetItem page, bool appropriate)
| setValid (self, KPageWidgetItem page, bool enable)
| showEvent (self, QShowEvent event)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WFlags | flags=0
| ) |  |  |

Construct a new assistant dialog with parent as parent.

Parameters:

  | parent | is the parent of the widget.

flags - the window flags to give to the assistant dialog. The default of zero is usually what you want.

__init__ | ( | self, |
|  | KPageWidget | widget,
|  | QWidget | parent=0,
|  | Qt::WFlags | flags=0
| ) |  |  |

Construct an assistant dialog from a single widget.

Parameters:

  | widget | the widget to construct the dialog with
  | parent | the parent of the assistant dialog

flags - the window flags to use when creating the widget. The default of zero is usually fine.

Calls the KPageDialog(KPageWidget *widget, QWidget *parent, Qt.WFlags flags) constructor

__init__ | ( | self, |
|  | KAssistantDialog | a0
| ) |  |  |

back | ( |  | self ) |

Called when the user clicks the Back button.

This function will show the preceding relevant page in the sequence. Do nothing if the current page is the first page in the sequence.

bool isAppropriate | ( | self, |
|  | KPageWidgetItem | page
| ) |  |  |

Check if a page is appropriate for use in the assistant dialog.

Parameters:

  | page | is the page to check the appropriateness of.

Returns:
  true if page is appropriate, false if it is not

bool isValid | ( | self, |
|  | KPageWidgetItem | page
| ) |  |  |

return if a page is valid

See also:
  setValid

Parameters:

  | page | the page to check the validity of

next | ( |  | self ) |

Called when the user clicks the Next/Finish button.

This function will show the next relevant page in the sequence. If the current page is the last page, it will call accept()

setAppropriate | ( | self, |
|  | KPageWidgetItem | page,
|  | bool | appropriate
| ) |  |  |

Specify whether a page is appropriate.

A page is considered inappropriate if it should not be shown due to the contents of other pages making it inappropriate.

A page which is inappropriate will not be shown.

The last page in an assistant dialog should always be appropriate

Parameters:

  | page | the page to set as appropriate
  | appropriate | flag indicating the appropriateness of the page. If appropriate is true, then page is appropriate and will be shown in the assistant dialog. If false, page will not be shown.

setValid | ( | self, |
|  | KPageWidgetItem | page,
|  | bool | enable
| ) |  |  |

Specify if the content of the page is valid, and if the next button may be enabled on this page. By default all pages are valid.

This will disable or enable the next button on the specified page

Parameters:

  | page | the page on which the next button will be enabled/disable
  | enable | if true the next button will be enabled, if false it will be disabled

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |